#!/usr/bin/env python2.5
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
# MA  02110-1301, USA.
#

import glob
import os
from distutils.core import setup

version = 0.6

# files to install
inst_images = [ 'pixmaps/logo.png', 'pixmaps/quote.png', 'pixmaps/paragraph.png', 'pixmaps/image.png', 'pixmaps/bold.png', 'pixmaps/link.png', 'pixmaps/italic.png', 'pixmaps/strikethrough.png', 'pixmaps/underline.png', 'pixmaps/font_size.png', 'pixmaps/bg_color.png', 'pixmaps/font_color.png', 'pixmaps/abbr.png', 'pixmaps/acronym.png', 'pixmaps/center.png', 'pixmaps/cite.png', 'pixmaps/code.png', 'pixmaps/fill.png', 'pixmaps/left.png', 'pixmaps/li.png', 'pixmaps/more.png', 'pixmaps/ol.png', 'pixmaps/right.png', 'pixmaps/subscript.png', 'pixmaps/superscript.png', 'pixmaps/tt.png', 'pixmaps/ul.png', 'pixmaps/gtk-copy.png', 'pixmaps/gtk-save.png', 'pixmaps/gtk-cut.png', 'pixmaps/gtk-up.png', 'pixmaps/gtk-delete.png', 'pixmaps/gtk-help.png', 'pixmaps/gtk-index.png', 'pixmaps/gtk-new.png', 'pixmaps/gtk-open.png', 'pixmaps/gtk-paste.png', 'pixmaps/gtk-preferences.png', 'pixmaps/gtk-quit.png', 'pixmaps/gtk-about.png', 'pixmaps/gtk-saveas.png', 'pixmaps/flickr.png', 'pixmaps/gtk-preview.png'] 
inst_dbus = [ 'maemo_wordpy.service' ]
inst_desktop = [ 'maemo-wordpy.desktop' ]
inst_icon = ['maemo-wordpy.png' ]
inst_icon_sca = ['pixmaps/maemo-wordpy.png']
inst_py = ['maemowordpy.py', 'wordpresslib.py', 'maemo-wordpy.glade', 'accounts.glade', 'upload.glade', 'help_file.py']
inst_help = ['maemowordpy.xml']
backup_conf  = ['maemowordpy-backup.conf']

data_files = [
  ('share/maemo-wordpy/pixmaps', inst_images),
  ('share/applications/hildon', inst_desktop),
  ('share/dbus-1/services',   inst_dbus),
  ('share/icons/hicolor/26x26/hildon/',   inst_icon),
  ('share/icons/hicolor/scalable/hildon/',   inst_icon_sca),
  ('share/maemo-wordpy',   inst_py),
  ('share/osso-help/en_GB',   inst_help),
  ('/etc/osso-backup/applications/',   backup_conf),  
]

setup(
  name         = 'maemo-wordpy',
  version      = version,
  description  = 'Wordpress client for Internet Tablets',
  author       = 'Daniel Martin Yerga',
  author_email = 'dyerga@gmail.com',
  url          = 'https://garage.maemo.org/projects/maemo-wordpy',
  data_files   = data_files
)
